Ubuntu

“xdeb” 0.6.5 source package in The Oneiric Ocelot

Publishing history

0.6.5
PUBLISHED: Oneiric pocket Release in component universe and section devel
  • Published on 2011-10-01
  • Copied from debian sid in Primary Archive for Debian GNU/Linux by Colin Watson

Changelog

xdeb (0.6.5) unstable; urgency=low


  [ Steve Langasek ]
  * If a package is Multi-Arch: foreign, we don't need to build it unless we
    also want to install it in its own right.
  * When calling apt-cache show, qualify the package name with an
    explicit architecture; this guards against attempts to import
    not-for-us binaries that are in the apt cache in a multiarch
    environment.  LP: #752287.

  [ Wookey ]
  * Add some packages to black/whitelists 
  * Improve graphing to only include binary deps that are
    actually depended on in the dependency tree
  * Update Standards-version
  * Depend on multiarch-capable dpkg-cross and invoke it with
    --convert-multiarch
  * Fix lintian test whinge
  * Don't fail if null dpkg-cross packages are found LP: #731079
  * Include lib64c in toolchain packages list - avoids
     multipleprovides exception on 64-bit arches.  LP: #75574
  * Let xdeb grok binary package names as well as source ones.  LP: #778506
  * Use 'apt-get download' rather than wget for native imports, provided
    that multiarch is configured.  LP: #851427

  [ Steve McIntyre ]
  * Add initial support for armhf.  LP: #772526

  [ Colin Watson ]
  * Convert to dh_python2.
  * Consistently use 'import utils' rather than 'from utils import ...'.
  * Suppress unusednames=_NATIVE_IMPORT_SOURCE_NAME in config.py, apparently
    due to a pychecker bug.
  * Split option parsing into a separate function to placate a pychecker
    warning about the length of main.
  * Extend need_loop_break hack to cover python2.7's build-dependency on
    libbluetooth-dev.
  * Add python2.7-dev to whitelist.
  * Fix installation of binutils-multiarch when cross-compiling.
  * Tolerate the removal of the fields collection in Lintian 2.5.2.
  * Don't install build-dependencies in --sequence mode.
  * Fix caching in Provides resolver.
  * Only skip Multi-Arch: foreign packages if the system is configured to be
    able to install packages of the appropriate foreign architecture.
  * Revamp build-dependency installation.  We now point 'apt-get install' at
    a combination of the system sources.list and the destination directory
    rather than using 'dpkg -i', and we install build-dependencies
    immediately before building each package as well as in a block at the
    start of the run; this also allows us to be more selective about which
    crossed packages we install.  The 'builddep_whitelist' configuration
    option is now unnecessary and has been removed.
  * Fix dependency resolver.  We now only expand dependencies for binaries
    that are explicitly required to satisfy (build-)dependencies, rather
    than trying to expand all binaries in every source package we encounter.
  * If rebuilding a source package that had already been built, force a full
    regeneration of the apt repository and purge any previous incarnations
    of those binary packages.
  * Fix native_import to work again even if multiarch isn't configured.
  * Remove explicit code to install native imports; the new build-dependency
    installer can deal with that by itself.
  * Remove libreadline-dev from cross_blacklist now that we cross-convert
    empty packages; progresses sqlite3 build.
  * Policy version 3.9.2: no changes required.

 -- Colin Watson <email address hidden>  Fri, 30 Sep 2011 12:49:52 +0100

No changes file available.